Create review
curl --request POST \
--url https://store.salesive.com/api/v1/reviews \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-shop-id: <api-key>' \
--data '
{
"productId": "<string>",
"rating": 3,
"comment": "<string>",
"orderId": "<string>"
}
'import requests
url = "https://store.salesive.com/api/v1/reviews"
payload = {
"productId": "<string>",
"rating": 3,
"comment": "<string>",
"orderId": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"x-shop-id": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
Authorization: 'Bearer <token>',
'x-shop-id': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({productId: '<string>', rating: 3, comment: '<string>', orderId: '<string>'})
};
fetch('https://store.salesive.com/api/v1/reviews', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Reviews
Create review
Create a product review.
POST
/
reviews
Create review
Request
POST /reviews
Authorization: Bearer {{token}}
x-shop-id: {{shopId}}
Content-Type: application/json
{
"productId": "68e5bb463a1fc56a8ac150bf",
"orderId": "690ff00acf4de460fd1f6114",
"rating": 5,
"comment": "Excellent product! Very satisfied with the quality."
}
Headers
| Header | Type | Description |
|---|---|---|
Authorization | string | Provide the customer token as Bearer <jwt>. |
x-shop-id | string | Identify the shop. |
Content-Type | string | Always set to application/json. |
Body parameters
| Field | Type | Required | Description |
|---|---|---|---|
productId | string | Yes | Product identifier to review. |
orderId | string | Yes | Order ID that includes the product. |
rating | integer | Yes | Rating from 1 to 5. |
title | string | No | Review title. |
comment | string | No | Review text. |
images | array | No | Array of image URLs to attach to the review. |
Successful response
{
"status": 200,
"success": true,
"message": "Review created successfully",
"data": {
"_id": "6a27d8d4289b87893fcbdeca",
"rating": 5,
"title": "Great Product",
"comment": "I loved this product, it was amazing!",
"shop": "68b8f52575da81b332af29f1",
"user": "69360693a7a8f7dc8ae32d6d",
"product": "68bc52f0e15404b8e40a7c52",
"order": "6938414ad9485f4d96134f8c",
"images": [],
"createdAt": "2026-06-09T09:11:48.272Z",
"updatedAt": "2026-06-09T09:11:48.272Z",
"__v": 0
}
}
Error response
{
"status": 400,
"success": false,
"message": "You can only review products from completed orders",
"data": {}
}
Authorizations
JWT issued by the Salesive Store API for authenticated shoppers.
Optional storefront identifier sent as a header to scope responses to a specific shop. Try It requests remember this value once provided.
Headers
Optional identifier that scopes responses to a specific storefront when the referer cannot be inferred.
Body
application/json
Response
201
Review created
Was this page helpful?
⌘I

